Subject: [Eglot] Default eglot-diagnostic-tag-unnecessary-face is problematic

From: Augusto Stoffel <[email-masked]>
Date: Wed, 28 Sep 2022 13:39:25 +0200

Or at least I really dislike the default value, which looks like this:

When I first saw this face appearing, I had no idea what was going on.
That this is a Flymake warning is unexpected, since there's nothing
squiggly about it.  Moreover, it overrides all other font-locking, which
presumably still has meaningful information.  Finally, I think it's hard
to be sure the result is readable in all custom themes, even all
reasonable ones.

In general, I would argue that “creative” decorations should be left off
by default.  So concretely in this case my suggestion would be to let
eglot-diagnostic-*-face inherit from one of the good old Flymake faces.